Bug 735569 - [abrt] gtg-0.2.4-5.fc15: __init__.py:138:get_backends_list:ImportError: No module named backend_localfile
Summary: [abrt] gtg-0.2.4-5.fc15: __init__.py:138:get_backends_list:ImportError: No mo...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gtg
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yanko Kaneti
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:de9bff32ce2b1e0daf1d817aab2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-03 15:06 UTC by Dan
Modified: 2012-08-07 19:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:14:38 UTC


Attachments (Terms of Use)

Description Dan 2011-09-03 15:06:33 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        
component:      gtg
executable:     /usr/bin/gtg
kernel:         2.6.40.3-0.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        gtg-0.2.4-5.fc15
reason:         __init__.py:138:get_backends_list:ImportError: No module named backend_localfile
time:           Sat Sep  3 16:04:48 2011
uid:            500
username:       dan

backtrace:
:__init__.py:138:get_backends_list:ImportError: No module named backend_localfile
:
:Traceback (most recent call last):
:  File "/usr/bin/gtg", line 48, in <module>
:    sys.exit(GTG.gtg.main(options, args))
:  File "/usr/lib/python2.7/site-packages/GTG/gtg.py", line 109, in main
:    backends_list = config.get_backends_list()
:  File "/usr/lib/python2.7/site-packages/GTG/core/__init__.py", line 138, in get_backends_list
:    module   = __import__(module_name)
:ImportError: No module named backend_localfile
:
:Local variables in innermost frame:
:datafile: '/home/dan/.local/share/gtg/projects.xml'
:b: {'xmlobject': <DOM Element: backend at 0x137db48>, 'pid': '1', 'module': 'backend_localfile'}
:firstrun: False
:configxml: <DOM Element: config at 0x137d9e0>
:xmlproject: [<DOM Element: backend at 0x137db48>]
:self: <GTG.core.CoreConfig instance at 0xe725f0>
:pid: 2
:backend_fn: [{'xmlobject': <DOM Element: backend at 0x137db48>, 'pid': '1', 'module': 'backend_localfile'}]
:dic: {'xmlobject': <DOM Element: backend at 0x137db48>, 'pid': '1', 'module': 'backend_localfile'}
:doc: <xml.dom.minidom.Document instance at 0x137d950>
:module_name: 'GTG.backends.backend_localfile'
:xp: <DOM Element: backend at 0x137db48>

comment:
:Nothing special. Just ran "gtg &" from a command prompt and the crash happened.
:
:I'm using the latest Fedora 15 with all updates.

Comment 1 Dan 2011-09-18 11:38:12 UTC
Package: gtg-0.2.4-5.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Just launch GTG.

This is in a Fedora 15 system that has been upgraded from Fedora 14.

Comment 2 Mathieu Bridon 2011-09-18 16:13:20 UTC
I can't reproduce this after installing GTG on Fedora 15.

Maybe something went wrong during the upgrade? (e.g the upgrade path was broken and you kept some packages from F14 which now break GTG)

Could you run « yum distro-sync » and then run again GTG?

Comment 3 Dan 2011-09-18 20:45:13 UTC
This is the output I get from yum distro-sync.

[root@kosh ~]# yum distro-sync
Loaded plugins: auto-update-debuginfo, refresh-packagekit
adobe-linux-i386                                         |  951 B     00:00     
rpmfusion-free-updates                                   | 2.7 kB     00:00     
rpmfusion-free-updates-debuginfo                         | 2.7 kB     00:00     
rpmfusion-nonfree-updates                                | 2.7 kB     00:00     
rpmfusion-nonfree-updates-debuginfo                      | 2.7 kB     00:00     
updates/metalink                                                                                                                      |  20 kB     00:00     
updates-debuginfo/metalink                                                                                                            |  15 kB     00:00     
updates-debuginfo                                                                                                                     | 3.1 kB     00:00     
updates-debuginfo/primary_db                                                                                                          | 374 kB     00:01     
updates-source/metalink                                                                                                               |  20 kB     00:00     
virtualbox                                                                                                                            |  951 B     00:00     
Setting up Distribution Synchronization Process
No Packages marked for Distribution Synchronization

It makes no change to GTG, I'm afraid.

Comment 4 Mathieu Bridon 2011-09-19 02:13:54 UTC
(In reply to comment #3)
> This is the output I get from yum distro-sync.
> 
> [root@kosh ~]# yum distro-sync
[... snip ...]
> No Packages marked for Distribution Synchronization
> 
> It makes no change to GTG, I'm afraid.

Yeah, but at least we know it's not a left-over from the upgrade.

GTG seems to have some compatibility code for data created with older versions, this could be causing the issue.

Can you try removing (or rather moving somewhere else so you don't lose it) you GTG user data?

What I'm especially suspicious about is the content of ~/.local/share/gtg/, can you also post the content of the ~/.local/share/gtg/projects.xml file?

Comment 5 Dan 2011-09-21 11:24:00 UTC
I renamed the directories ~/.config/gtg and ~/.local/share/gtg and ran GTG from a command prompt. This is the output:

[dan@kosh share]$ gtg
/usr/lib64/python2.7/site-packages/cluttergtk/__init__.py:35: Warning: cannot register existing type `GdkDisplayManager'
  from cluttergtk import _cluttergtk
/usr/lib64/python2.7/site-packages/cluttergtk/__init__.py:35: Warning: g_once_init_leave: assertion `initialization_value != 0' failed
  from cluttergtk import _cluttergtk
/usr/lib64/python2.7/site-packages/cluttergtk/__init__.py:35: Warning: g_type_register_static: assertion `parent_type > 0' failed
  from cluttergtk import _cluttergtk
/usr/lib64/python2.7/site-packages/cluttergtk/__init__.py:35: Warning: g_object_new: assertion `G_TYPE_IS_OBJECT (object_type)' failed
  from cluttergtk import _cluttergtk

No GTG window appears and it only responds to kill. However the gtg directories are regenerated. The new ~/.local/share/gtg/projects.xml file has contents

<?xml version="1.0" ?>
<config>
	<backend filename="bf9dacd4-10d7-4106-9916-f39d60098faa.xml" module="localfile" pid="1"/>
</config>

The file bf9dacd4-10d7-4106-9916-f39d60098faa.xml exists and looks well-formed.

The previous version of projects.xml in the directory I renamed looks like this:

<?xml version="1.0" ?>
<config/>

- obviously, corrupted XML.

Comment 6 Dan 2011-09-21 11:44:34 UTC
Incidentally, Python segfaults when run interactively and importing cluttergtk:

[dan@kosh ~]$ python
Python 2.7.1 (r271:86832, Apr 12 2011, 16:15:16) 
[GCC 4.6.0 20110331 (Red Hat 4.6.0-2)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> from cluttergtk import _cluttergtk
/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: specified class size for type `PyGtkGenericCellRenderer' is smaller than the parent type's `GtkCellRenderer' class size
  from gtk import _gtk
/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:40: Warning: g_type_get_qdata: assertion `node != NULL' failed
  from gtk import _gtk
Segmentation fault

Comment 7 Fedora End Of Life 2012-08-07 19:14:41 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.